import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const killHouseBroadCastManagementMoveToPreCold = createAsyncThunk(
  "KILL_HOUSE_MOVE_TO_PRE_COLD",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.post(
      "pre-cold-kill-house-ware-house/",
      d
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
